var delay = require("bluebird").Promise.delay;

function oldPromiseStyleFunction()
{
    return delay(1000)
        .then(function()
        {
            console.log("One Second Passed!");
        })
        .then(delay(2000))
        .then(function()
        {
            console.log("Two Seconds Passed!");
        })
        .catch(function()
        {
            console.log("An Error occured!");
        })
}

async function newAsyncFunction()
{
    try
    {
        await delay(1000);
        console.log("One Second Passed!");
        await delay(2000);
        console.log("Two Seconds Passed!");
    }
    catch (anException)
    {
        console.log("An Error occured!");
    }
}

await newAsyncFunction();
